--- a/Makefile
+++ b/Makefile
@@ -7,7 +7,7 @@
 CXXFLAGS = $(CXXFLAGS_SERV) $(FLAGS) -Isrc -Iapp -Ideps/duktape/src-low -Ideps/mbedtls/include -Ideps/mbedtls/crypto/include -Ideps/open62541/build/src_generated -Ideps/open62541/include -Ideps/open62541/arch -Ideps/open62541/plugins/include -Ideps/open62541/src/client -Ideps/open62541/deps -Ideps/open62541/src --std=c++11
 
 LD = g++
-LDFLAGS = $(FLAGS) -lm -ldl -lpthread deps/open62541/build/bin/libopen62541.a -lresolv
+LDFLAGS = $(FLAGS) -lm -ldl -lpthread -lcares deps/open62541/build/bin/libopen62541.a -lresolv
 
 OBJECTS_LOW =						\
 	app/main.o						\
@@ -52,14 +52,12 @@
 
 clean:
 	rm -rf */*.o */*.d bin/* deps/duktape/src-low lib lib_js/build node_modules util/dukc test/duk_crash
-	cd deps/c-ares && make clean
 	cd deps/mbedtls && make clean
 	cd deps/open62541 && rm -rf build
-	rm deps/c-ares/configure
 
 bin/low: $(OBJECTS) $(OBJECTS_LOW) deps/mbedtls/programs/test/benchmark
 	mkdir -p bin
-	 $(LD) -o bin/low deps/mbedtls/library/*.o deps/mbedtls/crypto/library/*.o deps/c-ares/libcares_la-*.o $(OBJECTS) $(OBJECTS_LOW) $(LDFLAGS)
+	 $(LD) -o bin/low deps/mbedtls/library/*.o deps/mbedtls/crypto/library/*.o $(OBJECTS) $(OBJECTS_LOW) $(LDFLAGS)
 
 obj_lowjs_serv: $(OBJECTS) $(OBJECTS_LOW) deps/mbedtls/programs/test/benchmark util/dukc
 
@@ -76,7 +74,7 @@
 	$(CXX) $(CXXFLAGS) -MMD -o $@ -c $<
 %.o : %.c Makefile
 	$(C) $(CFLAGS) -MMD -o $@ -c $<
-%.o : %.cpp Makefile deps/c-ares/.libs/libcares.a deps/open62541/build/bin/libopen62541.a
+%.o : %.cpp Makefile deps/open62541/build/bin/libopen62541.a
 	$(CXX) $(CXXFLAGS) -MMD -o $@ -c $<
 
 -include $(OBJECTS:.o=.d) $(OBJECTS_LOW:.o=.d)
@@ -117,13 +115,6 @@
 		-DDUK_USE_SECTION_B \
 		-DDUK_USE_CPP_EXCEPTIONS
 
-deps/c-ares/configure:
-	cd deps/c-ares && . ./buildconf
-deps/c-ares/Makefile: deps/c-ares/configure
-	cd deps/c-ares && ./configure
-deps/c-ares/.libs/libcares.a: deps/c-ares/Makefile
-	cd deps/c-ares && make
-
 deps/mbedtls/programs/test/benchmark:
 	cd deps/mbedtls && make
 
--- a/src/LowDNSResolver.cpp
+++ b/src/LowDNSResolver.cpp
@@ -13,7 +13,7 @@
 #include "low_alloc.h"
 #include "low_config.h"
 
-#include "../deps/c-ares/nameser.h"
+#include <arpa/nameser.h>
 
 #include <arpa/inet.h>
 #include <unistd.h>
--- a/src/LowDNSResolver.h
+++ b/src/LowDNSResolver.h
@@ -7,7 +7,7 @@
 
 #include "LowLoopCallback.h"
 
-#include "../deps/c-ares/ares.h"
+#include <ares.h>
 
 struct low_t;
 
--- a/src/low_main.cpp
+++ b/src/low_main.cpp
@@ -24,7 +24,7 @@
 
 #include "duktape.h"
 #if LOW_INCLUDE_CARES_RESOLVER
-#include "../deps/c-ares/ares.h"
+#include <ares.h>
 #include "LowDNSResolver.h"
 #endif /* LOW_INCLUDE_CARES_RESOLVER */
 
--- a/src/low_process.cpp
+++ b/src/low_process.cpp
@@ -36,7 +36,7 @@
 #endif /* __APPLE__ */
 
 #if LOW_INCLUDE_CARES_RESOLVER
-#include "../deps/c-ares/ares.h"
+#include <ares.h>
 #endif /* LOW_INCLUDE_CARES_RESOLVER */
 #include "mbedtls/version.h"
 
